# Coin Collection
Repo for the Coin Collection Android app

Coin Collection helps people keep track of the coins they have or are missing for a variety of U.S. coin sets. Many of the more recent U.S. coin sets are supported (see list below), and the app can be used to track quantities, grades, and notes for each coin. See [Using-the-app](#Using-the-app), [Features](#Features), or [Contributions](#Contributions) for more details!

## Download the app
<div style="display:flex;" >
<a href="https://play.google.com/store/apps/details?id=com.spencerpages">
    <img alt="Get it on Google Play" height="64" src="https://raw.githubusercontent.com/anwilli5/coin-collection-android-US/main/images/google-play-badge.png" />
</a>
<a href="http://www.amazon.com/gp/product/B00KZ7PYPY/ref=mas_pm_coin_collection">
    <img alt="Available at Amazon Appstore" height="64" src="https://raw.githubusercontent.com/anwilli5/coin-collection-android-US/main/images/amazon-appstore-badge.png" />
</a>
<a href="https://f-droid.org/en/packages/com.spencerpages">
    <img alt="Get it on F-Droid" height="64" src="https://raw.githubusercontent.com/anwilli5/coin-collection-android-US/main/images/fdroid-repo-badge.png" />
</a>
</div><br/>

<table>
    <tr>
        <td><img src="./images/screenshots/small/main_screen.png" alt="Home Screen" width="200"/></td>
        <td><img src="./images/screenshots/small/lincoln_cents_screen.png" alt="Lincoln cents simple collection view" width="200"/></td>
        <td><img src="./images/screenshots/small/presidential_dollars_screen.png" alt="Presidential dollars simple collection view" width="200"/></td>
        <td><img src="./images/screenshots/small/morgan_dollars_screen.png" alt="Morgan dollar advanced collection view" width="200"/></td>
    </tr>
</table>

## Using the app
If you need help using the app or aren't sure how to do something, see our [Using the app wiki](https://github.com/anwilli5/coin-collection-android-US/wiki/Using-the-App)

## Currently supported collections
Supported U.S. coin sets include:
- American Eagle Silver Dollars
- American Innovation Dollars
- American Women Quarters
- Barber Dimes
- Barber Half Dollars
- Barber Quarters
- Buffalo Nickels
- Eisenhower Dollars
- First Spouse Gold Coins
- Franklin Half Dollars
- Indian Head Cents
- Jefferson Nickels
- Kennedy Half-Dollars
- Liberty Head Nickels
- Lincoln Cents
- Mercury Dimes
- Morgan Dollars
- National Park Quarters
- Native American/Sacagawea Dollars
- Peace Dollars
- Presidential Dollars
- Roosevelt Dimes
- Standing Liberty Quarters
- State Quarters including D.C. and Territories
- Susan B. Anthony Dollars
- Walking Liberty Half Dollars
- Washington Quarters

## Features
- Create multiple collections of various types
- 'Advanced' view for entering quantities, grades, notes, etc.
- 'Lock' feature to prevent making accidental changes
- Ability to copy/edit/delete coins in a collection
- Automatic and manual ways to backup/restore and share collections

## Contributions
- Pull requests are welcome! For more details see [Contributing](https://github.com/anwilli5/coin-collection-android-US/blob/main/CONTRIBUTING.md)
- Review open issues, feature requests, and add comments here [Open issues](https://github.com/anwilli5/coin-collection-android-US/issues)
- Let us know if you've found an issue or would like to request a feature [Report an issue](https://github.com/anwilli5/coin-collection-android-US/issues/new/choose)

## Development/Building
For information about building the app, unit testing, and other helpful links, refer to the [Development Wiki](https://github.com/anwilli5/coin-collection-android-US/wiki/Development)